Saltar al contenido principal
GET
/
v1
/
config
/
fee-schedules
List fee schedules
curl --request GET \
  --url https://matcher.sandbox.lerian.net/v1/config/fee-schedules \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "019c96a0-2b20-7123-9a1b-2c3d4e5f6a7b",
      "tenantId": "019c96a0-0a98-7287-9a31-786e0809c769",
      "name": "Card Processing - Visa",
      "currency": "USD",
      "applicationOrder": "PARALLEL",
      "roundingScale": 2,
      "roundingMode": "HALF_UP",
      "items": [
        {
          "id": "019c96a0-2b20-7123-9a1b-2c3d4e5f6a7b",
          "name": "interchange",
          "priority": 1,
          "structureType": "PERCENTAGE",
          "structure": {},
          "createdAt": "2025-01-15T10:30:00Z",
          "updatedAt": "2025-01-15T10:30:00Z"
        }
      ],
      "createdAt": "2025-01-15T10:30:00Z",
      "updatedAt": "2025-01-15T10:30:00Z"
    }
  ],
  "cursor": "eyJpZCI6IjAxOWM5NmEwLTJiMjAtNzEyMy05YTFiLTJjM2Q0ZTVmNmE3YiJ9"
}

Autorizaciones

Authorization
string
header
requerido

Autenticación con token Bearer (formato: "Bearer {token}")

Encabezados

X-Request-Id
string

A unique identifier for tracing the request across services.

Parámetros de consulta

limit
integer
predeterminado:20

The maximum number of items to include in the response.

Rango requerido: 1 <= x <= 200

Respuesta

List of fee schedules with cursor pagination

Paginated list of fee schedules

items
object[]
Maximum array length: 200
cursor
string

Cursor value to retrieve the next page of results

Ejemplo:

"eyJpZCI6IjAxOWM5NmEwLTJiMjAtNzEyMy05YTFiLTJjM2Q0ZTVmNmE3YiJ9"